EntityManagerFactoryImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class EntityManagerFactoryImpl

    java.lang.Object
      org.hibernate.ejb.EntityManagerFactoryImpl

All Implemented Interfaces:
  Serializable, EntityManagerFactory, HibernateEntityManagerFactory

    public class EntityManagerFactoryImpl

extends Object
implements HibernateEntityManagerFactory

Actual Hibernate implementation of `EntityManagerFactory`.

See Also:
  Serialized Form

Constructor Summary
`EntityManagerFactoryImpl(PersistenceUnitTransactionType transactionType, boolean discardOnClose, Class sessionInterceptorClass, Configuration cfg, ServiceRegistry serviceRegistry, String persistenceUnitName)`

Method Summary
`void` | `close()`
`EntityManager` | `createEntityManager()`
`EntityManager` | `createEntityManager(Map map)`
`protected org.hibernate.ejb.EntityManagerFactoryImpl.JpaMetaModelPopulationSetting` | `determineJpaMetaModelPopulationSetting(Configuration cfg)`
`Cache` | `getCache()`
`CriteriaBuilder` | `getCriteriaBuilder()`
`String` | `getEntityManagerFactoryName()`
`Metamodel` | `getMetamodel()`
`PersistenceUnitUtil` | `getPersistenceUnitUtil()`
`Map<String,Object>` | `getProperties()`
`SessionFactory` | `getSessionFactory()`
`boolean` | `isOpen()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityManagerFactoryImpl

    public EntityManagerFactoryImpl(PersistenceUnitTransactionType transactionType,
                                    boolean discardOnClose,
                                    Class sessionInterceptorClass,
                                    Configuration cfg,
                                    ServiceRegistry serviceRegistry,
                                    String persistenceUnitName)

Method Detail

### determineJpaMetaModelPopulationSetting

    protected org.hibernate.ejb.EntityManagerFactoryImpl.JpaMetaModelPopulationSetting determineJpaMetaModelPopulationSetting(Configuration cfg)

### createEntityManager

    public EntityManager createEntityManager()

  Specified by:
    `createEntityManager` in interface `EntityManagerFactory`

### createEntityManager

    public EntityManager createEntityManager(Map map)

  Specified by:
    `createEntityManager` in interface `EntityManagerFactory`

### getCriteriaBuilder

    public CriteriaBuilder getCriteriaBuilder()

  Specified by:
    `getCriteriaBuilder` in interface `EntityManagerFactory`

### getMetamodel

    public Metamodel getMetamodel()

  Specified by:
    `getMetamodel` in interface `EntityManagerFactory`

### close

    public void close()

  Specified by:
    `close` in interface `EntityManagerFactory`

### getProperties

    public Map<String,Object> getProperties()

  Specified by:
    `getProperties` in interface `EntityManagerFactory`

### getCache

    public Cache getCache()

  Specified by:
    `getCache` in interface `EntityManagerFactory`

### getPersistenceUnitUtil

    public PersistenceUnitUtil getPersistenceUnitUtil()

  Specified by:
    `getPersistenceUnitUtil` in interface `EntityManagerFactory`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `EntityManagerFactory`

### getSessionFactory

    public SessionFactory getSessionFactory()

  Specified by:
    `getSessionFactory` in interface `HibernateEntityManagerFactory`

### getEntityManagerFactoryName

    public String getEntityManagerFactoryName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.